PRISM

PRISM_Stock_Trader

If you’re using Composite Application Guidance (PRISM) to build complex, high-end, extensible RIA applications – you be glad to hear that the code base has been updated in the Codeplex repository for Compatibility with Silverlight 4.0 and the .NET 4.0 framework.

Changes include the following:

  • All projects updated to Visual Studio 2010
    • All test projects now target .Net 4.0
    • Note: The WPF library projects still target .Net 3.5
  • All Silverlight projects update to target Silverlight 4.0
  • Prism is updated to use the latest Unity 2.0 binaries.
  • The Reference Implementation uses the latest Unity 2.0 and Enterprise Library 5.0 binaries.
  • The Silverlight Reference Implementation now uses the latest binaries from the Silverlight Toolkit (primarily for charting).

Shout it